#!/opt/bin/bash

## CONFIGURATION POUR GANDI API ##

ip=$1
ip_old=$2

# Variables pour les fichiers de log
log_cron_file=/var/log/cron.log
 
# Variables pour l'envoi de courriel
# 1 = true, 0 = false
mail_change=1

#Calcul de débit internet
python speedtest.py --simple > /tmp/debit.log

# Sauvegarde du fichier mails
cp /usr/syno/synoman/webman/texts/fre/mails /usr/syno/synoman/webman/texts/fre/mails.bck

# On créé notre mail
echo "

[PublicIPChange]
Category: System
Title: Adresse IP publique changée
Subject: L'adresse IP publique sur %HOSTNAME% a changée.

Cher utilisateur,

L'adresse IP publique sur %HOSTNAME% a changée. DNS Gandi travaille sur une nouvelle zone.

Ancienne adresse IP publique : ${ip_old}
Nouvelle adresse IP publique : ${ip}

Débit internet :
---------------- " >> /usr/syno/synoman/webman/texts/fre/mails
while read line; do echo $line; done < /tmp/debit.log >> /usr/syno/synoman/webman/texts/fre/mails
echo "
Sincères salutations,
%COMPANY_NAME%" >> /usr/syno/synoman/webman/texts/fre/mails

# On envoi le mail
/usr/syno/bin/synonotify PublicIPChange

sleep 5
if [ "${mail_change}" = "1" ]
then
# Restoration du fichier mails
cp /usr/syno/synoman/webman/texts/fre/mails.bck /usr/syno/synoman/webman/texts/fre/mails
fi
# On logue l'execution du cron
echo "`date`" >> ${log_cron_file}
