#!/opt/bin/bash

## CONFIGURATION POUR GANDI API ##

error=$1

# Variables pour les fichiers de log
log_cron_file=/var/log/cron.log
 
# Variables pour l'envoi de courriel
# 1 = true, 0 = false
mail_change=1

# Sauvegarde du fichier mails
cp /usr/syno/synoman/webman/texts/fre/mails /usr/syno/synoman/webman/texts/fre/mails.bck

# On créé notre mail
echo "

[GetPublicIPError]
Subject: Erreur de récupération de l'IP publique sur %HOSTNAME%
 
Cher utilisateur,
 
Erreur lors de la récupération de l'IP publique sur %HOSTNAME% : ${error}
Veuillez prendre les mesures appropriées.
 
Sincères salutations,
%COMPANY_NAME%" >> /usr/syno/synoman/webman/texts/fre/mails

# On envoi le mail
/usr/syno/bin/synonotify GetPublicIPError

sleep 5
if [ "${mail_change}" = "1" ]
then
# Restoration du fichier mails
cp /usr/syno/synoman/webman/texts/fre/mails.bck /usr/syno/synoman/webman/texts/fre/mails
fi
# On logue l'execution du cron
echo "`date`" >> ${log_cron_file}
